NATS C Client with JetStream and Streaming support 3.6.1 The nats.io C Client, Supported by Synadia Communications Inc.

Loading...
Searching...
No Matches
Classes | Public Attributes | List of all members
jsOptions::jsOptionsStream Struct Reference

`#include <nats.h>`

## Classes
struct | jsOptionsStreamInfo
struct | jsOptionsStreamPurge

## Public Attributes
struct jsOptions::jsOptionsStream::jsOptionsStreamPurge | Purge
| Optional stream purge options.
struct jsOptions::jsOptionsStream::jsOptionsStreamInfo | Info
| Optional stream information retrieval options.

## Detailed Description

Advanced stream options

- `Purge` for advanced purge options.
- `Info` for advanced information retrieval options.

## Member Data Documentation

## ◆ Purge

struct jsOptions::jsOptionsStream::jsOptionsStreamPurge jsOptions::jsOptionsStream::Purge

## ◆ Info

struct jsOptions::jsOptionsStream::jsOptionsStreamInfo jsOptions::jsOptionsStream::Info

The documentation for this struct was generated from the following file:

- nats.h